Subject: PWG> Re: RFC 2119, March 1997 has conformance language spec

From: Tom Hastings <[email-masked]>
Date: Thu, 22 May 1997 00:31:11 PDT

I just read the RFC and it defines the following terms and suggests that
the following phrase be put early in the document:

     The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL
      NOT", "SHOULD", "SHOULD NOT", "RECOMMENDED",  "MAY", and
      "OPTIONAL" in this document are to be interpreted as described in
      RFC 2119.

Happily, the "shall", "should", and "may" terms are as the PWG has been using
in its Printer MIB, Job Monitoring MIB, and IPP documents.

It also has "must" as a synonym for "shall".  I suggest that we continue
to use "shall", rather than switching over or using a mixture, in order
to keep our PWG standards using the same terminology.  Ok?

It also says: "These words are often capitalized." 
I've sent mail to Scott Bradner asking whether it is recommended to
capitalize.  Seems like it would make these terms stand out more.

Should I capitalize SHALL, SHOULD, MAY (and NEED NOT) in the Job Monitoring
MIB?  What about IPP documents?

Thanks,
Tom

At 23:46 05/21/97 PDT, Tom Hastings wrote:
>Thanks Larry,
>
>Tom
>
>>Return-Path: <[email-masked]>
>>Date: Wed, 21 May 1997 23:08:45 PDT
>>From: Larry Masinter <[email-masked]>
>>Organization: Xerox PARC
>>To: Tom Hastings <[email-masked]>
>>Subject: Re: IPP> MOD - 5/14 mintues
>>References: <[email-masked]>
>>
>>RFC 2119: Key words for use in RFCs to Indicate Requirement Level. S.
>>Bradner. March 1997. (Format: TXT=4723 bytes) (Updated by BCP0014)
>>-- 
>>
>>Larry
>>--
>>http://www.parc.xerox.com/masinter
>>
>>
>
>
>